[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TOnSelectEvent

Specifies an event handler signalled for a selection in a grid control.

## Declaration

Source position: grids.pas line 351

`type TOnSelectEvent = procedure(`
`Sender: TObject;`
`aCol: Integer;`
`aRow: Integer`
`) of object;`

## Arguments

`Sender` |  | Control generating the event notification.
`aCol` |  | Column number for the selection.
`aRow` |  | Row number for the selection.

## Description

TOnSelectEvent specifies an event handler signalled when a selection is made in a grid control. TOnSelectEvent is the type used to implement event handler properties in TCustomGrid, including:

- OnAfterSelection
- OnBeforeSelection
- OnButtonClick
- OnSelection

Applications must implement an object procedure using the signature for the event handler to respond to the event notification.

## See also

TCustomGrid.OnAfterSelection |  | Event handler signalled after a new Selection is made in the grid.
TCustomGrid.OnBeforeSelection |  | Event handler signalled before changing the Selection in the grid control.
TCustomGrid.OnButtonClick |  | Event handler signalled when a button-style cell Editor control is clicked.
TCustomGrid.OnSelection |  | Event handler signalled when an area is selected in the grid control.